KDE 4.2 PyKDE API Reference

- KDE's Python API

# KWidgetJobTracker Class Reference

`from PyKDE4.kdeui import *`

Inherits: KAbstractWidgetJobTracker → KJobTrackerInterface → QObject

## Detailed Description

This class implements a job tracker with a widget suited for use as a progress dialog.

## Methods

| __init__ (self, QWidget parent=0)
| description (self, KJob job, QString title, QPair<QString,QString> field1, QPair<QString,QString> field2)
| infoMessage (self, KJob job, QString plain, QString rich)
bool | keepOpen (self, KJob job)
| percent (self, KJob job, long percent)
| processedAmount (self, KJob job, KJob.Unit unit, long amount)
| registerJob (self, KJob job)
| resumed (self, KJob job)
| slotClean (self, KJob job)
| speed (self, KJob job, long value)
| suspended (self, KJob job)
| totalAmount (self, KJob job, KJob.Unit unit, long amount)
| unregisterJob (self, KJob job)
QWidget | widget (self, KJob job)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Creates a new KWidgetJobTracker

Parameters:

  | parent | the parent of this object and of the widget displaying the job progresses

description | ( | self, |
|  | KJob | job,
|  | QString | title,
|  | QPair<QString,QString> | field1,
|  | QPair<QString,QString> | field2
| ) |  |  |

infoMessage | ( | self, |
|  | KJob | job,
|  | QString | plain,
|  | QString | rich
| ) |  |  |

The following slots are inherited from KJobTrackerInterface.

bool keepOpen | ( | self, |
|  | KJob | job
| ) |  |  |

percent | ( | self, |
|  | KJob | job,
|  | long | percent
| ) |  |  |

processedAmount | ( | self, |
|  | KJob | job,
|  | KJob.Unit | unit,
|  | long | amount
| ) |  |  |

registerJob | ( | self, |
|  | KJob | job
| ) |  |  |

Register a new job in this tracker.

Parameters:

  | job | the job to register

resumed | ( | self, |
|  | KJob | job
| ) |  |  |

slotClean | ( | self, |
|  | KJob | job
| ) |  |  |

speed | ( | self, |
|  | KJob | job,
|  | long | value
| ) |  |  |

suspended | ( | self, |
|  | KJob | job
| ) |  |  |

totalAmount | ( | self, |
|  | KJob | job,
|  | KJob.Unit | unit,
|  | long | amount
| ) |  |  |

unregisterJob | ( | self, |
|  | KJob | job
| ) |  |  |

Unregister a job from this tracker.

Parameters:

  | job | the job to unregister

QWidget widget | ( | self, |
|  | KJob | job
| ) |  |  |

The widget associated to this tracker.

Parameters:

  | job | the job that is assigned the widget we want to get

Returns:
  the widget displaying the job progresses